import ParameterTypes from "@site/src/components/ParameterTypes"

# Selector

 **Selector**: &#123; [key in keyof TEntity]?: TEntity[key] \| TEntity[key][] \| DateComparisonOperator \| StringComparisonOperator \| NumericalComparisonOperator \| FindOperator&#60;TEntity[key][] \| string \| string[]&#62; &#125;

## Type Parameters

<ParameterTypes parameters={[
  {
    "name": "TEntity",
    "type": "`object`",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} />
